package com.realnet.forma.Services;
import com.realnet.forma.Repository.TestkRepository;
import com.realnet.forma.Entity.Testk
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import com.realnet.Notification.Entity.NotificationService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;


























	import org.springframework.stereotype.Service;

@Service
 public class TestkService {
@Autowired
private TestkRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





@Autowired
 private SequenceService documentsssequenceService;



















public Testk Savedata(Testk data) {






data.setDocumentss (documentsssequenceService.GenerateSequence("k"));



















	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Testk save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Testk> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Testk> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Testk> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Testk getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Testk update(Testk data,Integer id) {
	Testk old = Repository.findById(id).get();
old.setDecimals(data.getDecimals());

old.setPercentages(data.getPercentages());

old.setRecaptchas(data.getRecaptchas());

old.setDocumentss(data.getDocumentss());

old.setRadios(data.getRadios());

  
 
old.setS(data.isS());
   

 
old.setR(data.isR());
   

 
old.setF(data.isF());
   


  

 

 

 

 

old.setCurrencyx(data.getCurrencyx());

old.setQrcode(data.getQrcode());

old.setBarcodes(data.getBarcodes());

final Testk test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 


























 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
